<nav aria-colspan="breadcrumb" class="mb-5">
  <ol class="breadcrumb">
    <li class="breadcrumb-item"><a routerLink="/">Home</a></li>
    <li class="breadcrumb-item active" aria-current="page">Lançamentos</li>
  </ol>
</nav>

<div class="row mb-4">
    <div class="col-md">
        <h1 class="h2 border-left pl-2">
          Lançamentos
        </h1>
    </div>

    <div class="col-md">
        <a routerLink="new" class="btn btn-success float-right">
            +Novo Lançamento
        </a>
    </div>
</div>

<table class="table table-hover">
    <thead>
        <tr class="bg-primary text-light">
            <th>Lançamento</th>
            <th>Categoria</th>
            <th class="text-right">Valor R$</th>
            <th class="text-center">Ações</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let entry of entries">
            <td>
                <strong>{{ entry.name }}</strong><br>
                <small class="text-success">{{ entry.date }}</small><br>
                <small *ngIf="entry.description">{{ entry.description }}</small>
            </td>
            <td>
              {{ entry.category.name }}
            </td>
            <td class="text-right">
              <strong [class.text-success]="entry.type == 'revenue'" [class.text-danger]="entry.type == 'expense'">
                {{ entry.amount }} 
              </strong>
              <br>
              <span class="badge badge-light">{{ entry.paidText }}</span>
            </td>
            <td class="text-center">
                <a [routerLink]="[entry.id, 'edit']" class="btn btn-outline-info btn-sm mr-2">Editar</a>
                <button (click)="deleteEntry(entry)" class="btn btn-outline-danger btn-sm">Excluir</button>
            </td>
        </tr>
    </tbody>
</table>